Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### keyTyped()
Examples |
    // Run this program to learn how each of these functions
    // relate to the others

    void draw() { } // Empty draw() needed to keep the program running

    void keyPressed() {
      println("pressed " + int(key) + " " + keyCode);
    }

    void keyTyped() {
      println("typed " + int(key) + " " + keyCode);
    }

    void keyReleased() {
      println("released " + int(key) + " " + keyCode);
    }
Description | The keyTyped() function is called once every time a key is pressed, but action keys such as Ctrl, Shift, and Alt are ignored. Because of how operating systems handle key repeats, holding down a key will cause multiple calls to keyTyped(), the rate is set by the operating system and how each computer is configured.
Syntax |
    void keyTyped() {
      statements
    }
Parameters |
Usage | Web & Application
Related | keyPressed key keyCode keyReleased()

Updated on October 10, 2006 10:04:01pm PDT